Ubuntu

8086:0116 [HP Folio 13-1050la] Screen backlight is off by default

Reported by gpothier on 2012-10-13
28
This bug affects 5 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned

Bug Description

On an HP Folio 13, the monitor's backlight does not work by default.

WORKAROUND: Add a kernel parameter through grub's config to make it work:
acpi_backlight=vendor

See http://labo.eliaz.fr/spip.php?article94 .

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: linux-image-3.5.0-17-generic 3.5.0-17.28
ProcVersionSignature: Ubuntu 3.5.0-17.28-generic 3.5.5
Uname: Linux 3.5.0-17-generic x86_64
ApportVersion: 2.6.1-0ubuntu3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: gpothier 1892 F.... pulseaudio
Date: Sat Oct 13 00:25:35 2012
HibernationDevice: RESUME=UUID=281e4254-f100-4193-8e7d-13c4d9785734
MachineType: Hewlett-Packard HP Folio 13 Notebook PCC
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB:
 0 EFI VGA
 1 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=acdbf868-560a-4ec7-8772-45c16c166819 ro acpi_backlight=vendor quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.5.0-17-generic N/A
 linux-backports-modules-3.5.0-17-generic N/A
 linux-firmware 1.95
SourcePackage: linux
StagingDrivers: rts_pstor
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 03/05/2012
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: F.06
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: 17F8
dmi.board.vendor: Hewlett-Packard
dmi.board.version: 46.34
dmi.chassis.asset.tag: Chassis Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnHewlett-Packard:bvrF.06:bd03/05/2012:svnHewlett-Packard:pnHPFolio13NotebookPCC:pvr068C100000204A00000320100:rvnHewlett-Packard:rn17F8:rvr46.34:cvnHewlett-Packard:ct10:cvrChassisVersion:
dmi.product.name: HP Folio 13 Notebook PCC
dmi.product.version: 068C100000204A00000320100
dmi.sys.vendor: Hewlett-Packard

gpothier (gpothier) wrote :
Brad Figg (brad-figg) on 2012-10-13
Changed in linux (Ubuntu):
status: New → Confirmed

gpothier, thank you for reporting this and helping make Ubuntu better. Could you please provide the information following https://wiki.ubuntu.com/Kernel/Debugging/Backlight#Report_Minimum_Requirements ?

As well, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the kernel in the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested and remove the tag:
needs-upstream-testing

This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the text:
needs-upstream-testing

If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested.

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Please let us know your results. Thank you for your understanding.

description: updated
Changed in linux (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete
tags: added: needs-upstream-testing
gpothier (gpothier) wrote :

Adding required information.

gpothier (gpothier) wrote :
gpothier (gpothier) wrote :
gpothier (gpothier) wrote :
  • DSDT.dat Edit (53.4 KiB, application/x-ns-proxy-autoconfig)
gpothier (gpothier) wrote :
gpothier (gpothier) wrote :
gpothier (gpothier) wrote :
gpothier (gpothier) wrote :
gpothier (gpothier) wrote :
gpothier (gpothier) wrote :
gpothier (gpothier) wrote :
gpothier (gpothier) wrote :
gpothier (gpothier) wrote :
gpothier (gpothier) wrote :
gpothier (gpothier) wrote :
gpothier (gpothier) wrote :

Bug occurs upstream with:
Linux tadzim2 3.6.2-030602-generic #201210121823 SMP Fri Oct 12 22:24:18 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

The same workaround applies.

tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-3.6.2-030602
removed: needs-upstream-testing

gpothier, thank you for providing the backlight information and testing the mainline kernel.

What is your laptop product number/name specifically? For example:
    HP Folio 13-1003xx Notebook PC
    HP Folio 13-1020us Notebook PC
    HP Folio 13-1029wm Notebook PC
    HP Folio 13-1035nr Notebook PC
    HP Folio 13-1050ca Notebook PC
    HP Folio 13-1051nr Notebook PC
    HP Folio 13-1053ca Notebook PC
    HP Folio 13t-1000 CTO Notebook PC

gpothier (gpothier) wrote :

The label below the computer says "Folio 13-1050la"
lshw says "HP Folio 13 Notebook PCC (A7J51LA#ABM)" under product.

gpothier, thank you for providing the product name from the label. Hence, the issue you are reporting is an upstream one. Could you please report this problem through the appropriate channel by following the instructions _verbatim_ at https://wiki.ubuntu.com/Bugs/Upstream/kernel#KernelTeam.2BAC8-KernelTeamBugPolicies.Overview_on_Reporting_Bugs_Upstream ?

Thank you for your understanding.

summary: - Screen backlight problem on HP Folio 13
+ Screen backlight problem on HP Folio 13 Folio 13-1050la
summary: - Screen backlight problem on HP Folio 13 Folio 13-1050la
+ Screen backlight problem on HP Folio 13-1050la
Changed in linux (Ubuntu):
status: Incomplete → Triaged
gpothier (gpothier) wrote :
Download full text (36.1 KiB)

[1.]
Screen backlight problem on HP Folio 13-1050la

[2.]
On an HP Folio 13, the monitor's backlight is turned off on startup. Going
to the gnome brightness settings (using an external monitor) allows to turn
it on.

WORKAROUND: Add a kernel parameter through grub's config to make it work:
acpi_backlight=vendor

See http://labo.eliaz.fr/spip.php?article94

[3.]
backlight, HP Folio 13

[4.]
Linux version 3.6.2-030602-generic (apw@gomeisa) (gcc version 4.6.3
(Ubuntu/Linaro 4.6.3-1ubuntu5) ) #201210121823 SMP Fri Oct 12 22:24:18 UTC
2012

[7.]
Description: Ubuntu 12.10
Release: 12.10

[7.1.]
Linux tadzim2 3.6.2-030602-generic #201210121823 SMP Fri Oct 12 22:24:18
UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Gnu C 4.7
Gnu make 3.81
binutils 2.22.90.20120924
util-linux 2.20.1
mount support
module-init-tools 3.16
e2fsprogs 1.42.5
pcmciautils 018
PPP 2.4.5
Linux C Library 2.15
Dynamic linker (ldd) 2.15
Procps 3.3.3
Net-tools 1.60
Kbd 1.15.3
Sh-utils 8.13
wireless-tools 30
Modules Loaded hid_generic hidp snd_hda_codec_hdmi
snd_hda_codec_idt joydev btusb uvcvideo videobuf2_core videodev
videobuf2_vmalloc videobuf2_memops arc4 iwldvm hid_monterey mac80211
snd_hda_intel rfcomm bnep snd_hda_codec bluetooth snd_hwdep hp_wmi usbhid
hid sparse_keymap snd_pcm parport_pc ppdev snd_seq_midi snd_rawmidi
coretemp snd_seq_midi_event kvm_intel snd_seq kvm i915 snd_timer
ghash_clmulni_intel snd_seq_device drm_kms_helper aesni_intel drm
ablk_helper cryptd snd iwlwifi aes_x86_64 psmouse cfg80211 microcode
rts_pstor serio_raw i2c_algo_bit mei soundcore snd_page_alloc r8169 lpc_ich
sdhci_pci sdhci wmi mac_hid video lp parport

[7.2]
processor : 0
vendor_id : GenuineIntel
cpu family : 6
model : 42
model name : Intel(R) Core(TM) i5-2467M CPU @ 1.60GHz
stepping : 7
microcode : 0x25
cpu MHz : 800.000
cache size : 3072 KB
physical id : 0
siblings : 4
core id : 0
cpu cores : 2
apicid : 0
initial apicid : 0
fpu : yes
fpu_exception : yes
cpuid level : 13
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat
pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm
constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc
aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr
pdcm pcid sse4_1 sse4_2 x2apic popcnt tsc_deadline_timer aes xsave avx
lahf_lm ida arat epb xsaveopt pln pts dtherm tpr_shadow vnmi flexpriority
ept vpid
bogomips : 3192.80
clflush size : 64
cache_alignment : 64
address sizes : 36 bits physical, 48 bits virtual
power management:

processor : 1
vendor_id : GenuineIntel
cpu family : 6
model : 42
model name : Intel(R) Core(TM) i5-2467M CPU @ 1.60GHz
stepping : 7
microcode : 0x25
cpu MHz : 800.000
cache size : 3072 KB
physical id : 0
siblings : 4
core id : 0
cpu cores : 2
apicid : 1
initial apicid : 1
fpu : yes
fpu_exception : yes
cpuid level : 13
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat
pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pb...

gpothier (gpothier) wrote :

I followed the instructions and sent a mail to the mailing list, however something went wrong with Launchpad, I received this error:

An error occurred while processing a mail you sent to Launchpad's email
interface.

Failing command:
    status cap+ 66mhz- udf- fastb2b+ parerr- devsel=medium >tabort- <tabort-
    status d0 nosoftrst- pme-enable- dsel=0 dscale=0 pme-
    status cap+ 66mhz- udf- fastb2b- parerr- devsel=medium >tabort- <tabort-
    status cap+ 66mhz+ udf- fastb2b+ parerr- devsel=medium >tabort- <tabort-
    status d0 nosoftrst+ pme-enable- dsel=0 dscale=0 pme-
    status cap- 66mhz- udf- fastb2b+ parerr- devsel=medium >tabort- <tabort-
    status cap+ 66mhz- udf- fastb2b- parerr- devsel=fast >tabort- <tabort-
    status negopending- inprogress-
    status cap+ 66mhz- udf- fastb2b- parerr- devsel=fast >tabort- <tabort-
    status d0 nosoftrst- pme-enable- dsel=0 dscale=0 pme-
    status cap+ 66mhz- udf- fastb2b- parerr- devsel=fast >tabort- <tabort-
    status d0 nosoftrst- pme-enable- dsel=0 dscale=0 pme-
    status cap+ 66mhz- udf- fastb2b- parerr- devsel=fast >tabort- <tabort-
    status d0 nosoftrst- pme-enable- dsel=0 dscale=0 pme-
    status cap+ 66mhz- udf- fastb2b- parerr- devsel=fast >tabort- <tabort-
    status d0 nosoftrst- pme-enable- dsel=0 dscale=0 pme-

gpothier (gpothier) wrote :

This is the response I received from the mailing list:
This list is for device drivers for parts made by Analog Devices Inc only.

gpothier, which mailing list did you send this out to specifically?

gpothier (gpothier) wrote :

I sent it to <email address hidden>.
I had no idea ADP8860 was for a specific device, I thought it was a kind of code for the backlight drivers...

Would this one be the correct one?
BACKLIGHT CLASS/SUBSYSTEM
1493 M: Richard Purdie <email address hidden>
1494 S: Maintained
1495 F: drivers/video/backlight/
1496 F: include/linux/backlight.h

gpothier, preserving the format noted in https://wiki.ubuntu.com/Bugs/Upstream/kernel#KernelTeam.2BAC8-KernelTeamBugPolicies.Overview_on_Reporting_Bugs_Upstream , could you please send this to <email address hidden> , and CC both this bug report and myself?

Done. I sent it twice because the first one bounced (they accept only
plain text messages).
Regards,
g

On 17 October 2012 14:23, Christopher M. Penalver
<email address hidden> wrote:
> gpothier, preserving the format noted in
> https://wiki.ubuntu.com/Bugs/Upstream/kernel#KernelTeam.2BAC8-KernelTeamBugPolicies.Overview_on_Reporting_Bugs_Upstream
> , could you please send this to <email address hidden> , and CC both
> this bug report and myself?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1066211
>
> Title:
> Screen backlight problem on HP Folio 13-1050la
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1066211/+subscriptions

Stefan Nagy (stefan-nagy) wrote :

Sorry, me again. Please forget my previous comments. Try kernel boot paramter video.use_bios_initial_backlight=0.

If this works for you have a look at https://bugzilla.kernel.org/show_bug.cgi?id=51141 and http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=692361. The information provided there could be relevant.

Hope this helps.

This bug only happens on the HP Folio-1000 series. Not on the 2000 series because that has a fix already:
    https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=129ff8f8d58297b04f47b5d6fad81aa2d08404e1

Looks like we just need a similar fix for the various 1000 models.

summary: - Screen backlight problem on HP Folio 13-1050la
+ Screen backlight is off by default of HP Folio-1000 series
summary: - Screen backlight is off by default of HP Folio-1000 series
+ Screen backlight is off by default on HP Folio-1000 series

Hi all. As bug 974568 is now fixed, you can install Ubuntu 13.10 saucy and so long as it's updated (kernel >= ~3.10.0-5) then the brightness (and other) keys will work during boot. So no workarounds required.

summary: - Screen backlight is off by default on HP Folio-1000 series
+ Screen backlight is off by default on HP Folio 13-1000 series
summary: - Screen backlight is off by default on HP Folio 13-1000 series
+ 8086:0116 Screen backlight is off by default on HP Folio 13-1000 series
tags: added: needs-full-computer-model
summary: - 8086:0116 Screen backlight is off by default on HP Folio 13-1000 series
+ 8086:0116 [HP Folio 13-1050la] Screen backlight is off by default
tags: added: bios-outdated-f.0b
removed: needs-full-computer-model
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.